Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jmx.adaptor.snmp.config.manager
Class ManagerList

    java.lang.Object
      org.jboss.jmx.adaptor.snmp.config.manager.ManagerList

All Implemented Interfaces:
  Serializable

public class ManagerList
extends Object
implements Serializable

Class ManagerList.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Constructor Summary
`ManagerList()`

Method Summary
`void` | `addManager(int index, Manager vManager)` Method addManager
`void` | `addManager(Manager vManager)` Method addManager
`void` | `clearManager()` Method clearManager
`Enumeration` | `enumerateManager()` Method enumerateManager
`Manager[]` | `getManager()` Method getManager
`Manager` | `getManager(int index)` Method getManager
`int` | `getManagerCount()` Method getManagerCount
`boolean` | `isValid()` Method isValid
`void` | `marshal(ContentHandler handler)` Method marshal
`void` | `marshal(Writer out)` Method marshal
`boolean` | `removeManager(Manager vManager)` Method removeManager
`void` | `setManager(int index, Manager vManager)` Method setManager
`void` | `setManager(Manager[] managerArray)` Method setManager
`static ManagerList` | `unmarshal(Reader reader)` Method unmarshal
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagerList

    public ManagerList()

Method Detail

### addManager

    public void addManager(Manager vManager)
                    throws IndexOutOfBoundsException

  Method addManager

  Parameters:
    `vManager` -
  Throws:
    `IndexOutOfBoundsException`

### addManager

    public void addManager(int index,
                           Manager vManager)
                    throws IndexOutOfBoundsException

  Method addManager

  Parameters:
    `index` -
    `vManager` -
  Throws:
    `IndexOutOfBoundsException`

### clearManager

    public void clearManager()

  Method clearManager

### enumerateManager

    public Enumeration enumerateManager()

  Method enumerateManager

### getManager

    public Manager getManager(int index)
                       throws IndexOutOfBoundsException

  Method getManager

  Parameters:
    `index` -
  Throws:
    `IndexOutOfBoundsException`

### getManager

    public Manager[] getManager()

  Method getManager

### getManagerCount

    public int getManagerCount()

  Method getManagerCount

### isValid

    public boolean isValid()

  Method isValid

### marshal

    public void marshal(Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Method marshal

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(ContentHandler handler)
                 throws IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Method marshal

  Parameters:
    `handler` -
  Throws:
    `IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### removeManager

    public boolean removeManager(Manager vManager)

  Method removeManager

  Parameters:
    `vManager` -

### setManager

    public void setManager(int index,
                           Manager vManager)
                    throws IndexOutOfBoundsException

  Method setManager

  Parameters:
    `index` -
    `vManager` -
  Throws:
    `IndexOutOfBoundsException`

### setManager

    public void setManager(Manager[] managerArray)

  Method setManager

  Parameters:
    `managerArray` -

### unmarshal

    public static ManagerList unmarshal(Reader reader)
                                 throws org.exolab.castor.xml.MarshalException,
                                        org.exolab.castor.xml.ValidationException

  Method unmarshal

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.